/* Copyright 2008-2017 Research Foundation State University of New York   */

/* This file is part of QUB Online.                                       */

/* QUB Online is free software; you can redistribute it and/or modify    */
/* it under the terms of the GNU General Public License as published by   */
/* the Free Software Foundation, either version 3 of the License, or      */
/* (at your option) any later version.                                    */

/* QUB Online is distributed in the hope that it will be useful,         */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of         */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          */
/* GNU General Public License for more details.                           */

/* You should have received a copy of the GNU General Public License,     */
/* named LICENSE.txt, in the QUB Online program directory.  If not, see  */
/* <http://www.gnu.org/licenses/>.                                        */

#ifndef QUBX_DURHIST_H
#define QUBX_DURHIST_H

#include "qubfast.h"

#ifdef __cplusplus
extern "C" {
#endif

void QUBFAST_API qubx_durhist_binning(float ts, float tmin, float tmax, int* nbin, float* bin, float tdead, double* rOut);

  // hst += integer counts (you can pre-zero it, then sum several segments)
int QUBFAST_API qubx_durhist_calhist(float ts, int ic, int ndwell, int *idwell, float* tdwell,
                                     int iBins, float* bin, float* hst, float tdead);

int QUBFAST_API qubx_durhist_calhist_smooth(int ic, int ndwell, int *idwell, float* tdwell,
                                            int iBins, float* bin, float* hst, float tdead, float sampling, float r);

#ifdef __cplusplus
}
#endif

#endif
